Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.transport.http
Class HTTPConstants

    java.lang.Object
      org.apache.axis2.transport.http.HTTPConstants

    public class HTTPConstants

extends Object

HTTP protocol and message context constants.

Field Summary
`static String` | `AUTHENTICATE`
`static String` | `AUTO_RELEASE_CONNECTION`
`static String` | `CACHE_HTTP_CLIENT` If this parameter is set we cache the HttpClient
`static String` | `CACHED_HTTP_CLIENT` Field CACHED_HTTP_CLIENT
`static String` | `CACHED_HTTP_STATE` The name of the property that sets a HTTP state to be cached.
`static String` | `CHAR_SET_ENCODING` Field CHAR_SET_ENCODING
`static String` | `CHUNKED`
`static String` | `COMPRESSION_GZIP`
`static String` | `CONNECTION_TIMEOUT` Field CONNECTION_TIMEOUT
`static String` | `CONTENT_TYPE` Deprecated. Please use Constants.Configuration.CONTENT_TYPE
`static String` | `COOKIE_POLICY` Field to set the coockie policy of commons http client http://jakarta.apache.org/httpcomponents/httpclient-3.x/cookies.html
`static String` | `COOKIE_STRING`
`static String` | `CUSTOM_PROTOCOL_HANDLER`
`static int` | `DEFAULT_CONNECTION_TIMEOUT` Field DEFAULT_CONNECTION_TIMEOUT
`static String` | `DEFAULT_MAX_CONNECTIONS_PER_HOST` This parameter gives the maximum connections allows per host if not specified per host basis
`static int` | `DEFAULT_SO_TIMEOUT` Field DEFAULT_SO_TIMEOUT
`static String` | `HEADER_ACCEPT` Field HEADER_ACCEPT
`static String` | `HEADER_ACCEPT_APPL_SOAP` Field HEADER_ACCEPT_APPL_SOAP
`static String` | `HEADER_ACCEPT_APPLICATION_DIME` Field HEADER_ACCEPT_APPLICATION_DIME
`static String` | `HEADER_ACCEPT_ENCODING`
`static String` | `HEADER_ACCEPT_MULTIPART_RELATED` Field HEADER_ACCEPT_MULTIPART_RELATED
`static String` | `HEADER_ACCEPT_TEXT_ALL` Field HEADER_ACCEPT_TEXT_ALL
`static String` | `HEADER_AUTHORIZATION` Field HEADER_AUTHORIZATION
`static String` | `HEADER_CACHE_CONTROL` Field HEADER_CACHE_CONTROL
`static String` | `HEADER_CACHE_CONTROL_NOCACHE` Field HEADER_CACHE_CONTROL_NOCACHE
`static String` | `HEADER_CONNECTION` Field HEADER_CONNECTION
`static String` | `HEADER_CONNECTION_CLOSE` Field HEADER_CONNECTION_CLOSE
`static String` | `HEADER_CONNECTION_KEEPALIVE` Field HEADER_CONNECTION_KEEPALIVE
`static String` | `HEADER_CONTENT_DESCRIPTION` Field HEADER_CONTENT_DESCRIPTION
`static String` | `HEADER_CONTENT_ENCODING`
`static String` | `HEADER_CONTENT_ENCODING_LOWERCASE`
`static String` | `HEADER_CONTENT_ID` Field HEADER_CONTENT_ID
`static String` | `HEADER_CONTENT_LENGTH` Field HEADER_CONTENT_LENGTH
`static String` | `HEADER_CONTENT_LOCATION` Field HEADER_CONTENT_LOCATION
`static String` | `HEADER_CONTENT_TRANSFER_ENCODING` Field HEADER_CONTENT_TRANSFER_ENCODING
`static String` | `HEADER_CONTENT_TYPE` Field HEADER_CONTENT_TYPE
`static String` | `HEADER_COOKIE` Field HEADER_COOKIE
`static String` | `HEADER_COOKIE2` Field HEADER_COOKIE2
`static String` | `HEADER_DEFAULT_CHAR_ENCODING` Field HEADER_DEFAULT_CHAR_ENCODING
`static String` | `HEADER_DELETE` Field HEADER_DELETE
`static String` | `HEADER_EXPECT` Field HEADER_EXPECT
`static String` | `HEADER_EXPECT_100_Continue` Field HEADER_EXPECT_100_Continue
`static String` | `HEADER_GET` Field HEADER_GET
`static String` | `HEADER_HOST` Field HEADER_HOST
`static String` | `HEADER_LOCATION` Field HEADER_LOCATION
`static String` | `HEADER_POST` Field HEADER_POST
`static String` | `HEADER_PRAGMA` Field HEADER_PRAGMA
`static String` | `HEADER_PROTOCOL_10` Field HEADER_PROTOCOL_10
`static String` | `HEADER_PROTOCOL_11` Field HEADER_PROTOCOL_11
`static String` | `HEADER_PROTOCOL_V10` Field HEADER_PROTOCOL_V10
`static String` | `HEADER_PROTOCOL_V11` Field HEADER_PROTOCOL_V11
`static String` | `HEADER_PROXY_AUTHORIZATION` Field HEADER_PROXY_AUTHORIZATION
`static String` | `HEADER_PUT` Field HEADER_PUT
`static String` | `HEADER_SET_COOKIE` Field HEADER_SET_COOKIE
`static String` | `HEADER_SET_COOKIE2` Field HEADER_SET_COOKIE2
`static String` | `HEADER_SOAP_ACTION` Field HEADER_SOAP_ACTION
`static String` | `HEADER_TRANSFER_ENCODING` Field HEADER_TRANSFER_ENCODING
`static String` | `HEADER_TRANSFER_ENCODING_CHUNKED` Field HEADER_TRANSFER_ENCODING_CHUNKED
`static String` | `HEADER_USER_AGENT` Field HEADER_USER_AGENT
`static char[]` | `HTTP` Field HTTP[]
`static String` | `HTTP_CONTENT_TYPE`
`static String` | `HTTP_ELEMENT_CHARSET` Default content encoding chatset
`static String` | `HTTP_HEADERS` This will allow users to set any custom headers to the message context, which will be picked up by the sender while sending the request
`static String` | `HTTP_METHOD` Field HTTP_METHOD
`static String` | `HTTP_METHOD_GET`
`static String` | `HTTP_METHOD_PARAMS`
`static String` | `HTTP_METHOD_POST`
`static String` | `HTTP_PROTOCOL_VERSION`
`static String` | `HTTP_REQ_TYPE` Field HTTP_REQ_TYPE
`static String` | `HTTP_SERVLETCONFIG` transport.http.servletConfig
`static byte[]` | `ISE` Field ISE[]
`static String` | `MAX_TOTAL_CONNECTIONS` Total number of connections allowed
`static String` | `MC_ACCEPT_GZIP` If you want the HTTP sender to indicate that it can accept a gziped response, set this message context property to true.
`static String` | `MC_GZIP_REQUEST` by default the HTTP request body is not compressed.
`static String` | `MC_GZIP_RESPONSE`
`static String` | `MC_HTTP_SERVLET` Field MC_HTTP_SERVLET
`static String` | `MC_HTTP_SERVLETCONTEXT` Field MC_HTTP_SERVLETCONTEXT
`static String` | `MC_HTTP_SERVLETLOCATION` Field MC_HTTP_SERVLETLOCATION
`static String` | `MC_HTTP_SERVLETPATHINFO` Field MC_HTTP_SERVLETPATHINFO
`static String` | `MC_HTTP_SERVLETREQUEST` Field MC_HTTP_SERVLETREQUEST
`static String` | `MC_HTTP_SERVLETRESPONSE` Field MC_HTTP_SERVLETRESPONSE
`static String` | `MC_HTTP_STATUS_CODE` Field MC_HTTP_STATUS_CODE
`static String` | `MC_HTTP_STATUS_MESSAGE` Field MC_HTTP_STATUS_MESSAGE
`static String` | `MEDIA_TYPE_APPLICATION_ECHO_XML`
`static String` | `MEDIA_TYPE_APPLICATION_SOAP_XML`
`static String` | `MEDIA_TYPE_APPLICATION_XML`
`static String` | `MEDIA_TYPE_MULTIPART_FORM_DATA`
`static String` | `MEDIA_TYPE_MULTIPART_RELATED`
`static String` | `MEDIA_TYPE_TEXT_XML`
`static String` | `MEDIA_TYPE_X_WWW_FORM`
`static String` | `MTOM_RECEIVED_CONTENT_TYPE` Deprecated.
`static String` | `MULTITHREAD_HTTP_CONNECTION_MANAGER`
`static String` | `MUTTITHREAD_HTTP_CONNECTION_MANAGER` Deprecated. please use MULTITHREAD_HTTP_CONNECTION_MANAGER
`static byte[]` | `NOCONTENT` Field NOCONTENT[]
`static char[]` | `OK` Field OK[]
`static String` | `OMIT_SOAP_12_ACTION`
`static String` | `PLUGIN_ENABLE_LIST` Field PLUGIN_ENABLE_LIST
`static String` | `PLUGIN_ENGINE` Field PLUGIN_ENGINE
`static String` | `PLUGIN_EXCEPTION_LOG` Field PLUGIN_EXCEPTION_LOG
`static String` | `PLUGIN_IS_DEVELOPMENT` Field PLUGIN_IS_DEVELOPMENT
`static String` | `PLUGIN_LOG` Field PLUGIN_LOG
`static String` | `PLUGIN_NAME` AXIS servlet plugin parameter names.
`static String` | `PLUGIN_SERVICE_NAME` Field PLUGIN_SERVICE_NAME
`static String` | `PLUGIN_WRITER` Field PLUGIN_WRITER
`static String` | `PROTOCOL_VERSION`
`static String` | `PROXY`
`static String` | `REQUEST_HEADERS` Field REQUEST_HEADERS
`static String` | `REQUEST_URI` Field REQUEST_URI
`static String` | `RESPONSE_ACK_CODE_VAL` Field RESPONSE_ACK_CODE_VAL
`static String` | `RESPONSE_CODE` Field RESPONSE_CODE
`static String` | `RESPONSE_HEADERS` Field RESPONSE_HEADERS
`static String` | `RESPONSE_WORD` Field RESPONSE_WORD
`static String` | `REUSE_HTTP_CLIENT` Field CACHED_HTTP_CLIENT
`static byte[]` | `SENDER` Field SENDER[]
`static String` | `SERVER`
`static String` | `SO_TIMEOUT` Field SO_TIMEOUT
`static String` | `SOCKET` Field SOCKET
`static byte[]` | `UNAUTH` Field UNAUTH[]
`static String` | `USER_AGENT`

Constructor Summary
`HTTPConstants()`

Method Summary
`static byte[]` | `getBytes(String data)` Method getBytes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_CONTENT_TYPE

    public static final String HTTP_CONTENT_TYPE

See Also:
  Constant Field Values

### PROTOCOL_VERSION

    public static final String PROTOCOL_VERSION

See Also:
  Constant Field Values

### MEDIA_TYPE_X_WWW_FORM

    public static final String MEDIA_TYPE_X_WWW_FORM

See Also:
  Constant Field Values

### MEDIA_TYPE_TEXT_XML

    public static final String MEDIA_TYPE_TEXT_XML

See Also:
  Constant Field Values

### MEDIA_TYPE_MULTIPART_RELATED

    public static final String MEDIA_TYPE_MULTIPART_RELATED

See Also:
  Constant Field Values

### MEDIA_TYPE_MULTIPART_FORM_DATA

    public static final String MEDIA_TYPE_MULTIPART_FORM_DATA

See Also:
  Constant Field Values

### MEDIA_TYPE_APPLICATION_XML

    public static final String MEDIA_TYPE_APPLICATION_XML

See Also:
  Constant Field Values

### MEDIA_TYPE_APPLICATION_SOAP_XML

    public static final String MEDIA_TYPE_APPLICATION_SOAP_XML

See Also:
  Constant Field Values

### MEDIA_TYPE_APPLICATION_ECHO_XML

    public static final String MEDIA_TYPE_APPLICATION_ECHO_XML

See Also:
  Constant Field Values

### REQUEST_URI

    public static final String REQUEST_URI

  Field REQUEST_URI

  See Also:
    Constant Field Values

### RESPONSE_CODE

    public static final String RESPONSE_CODE

  Field RESPONSE_CODE

  See Also:
    Constant Field Values

### RESPONSE_WORD

    public static final String RESPONSE_WORD

  Field RESPONSE_WORD

  See Also:
    Constant Field Values

### RESPONSE_ACK_CODE_VAL

    public static final String RESPONSE_ACK_CODE_VAL

  Field RESPONSE_ACK_CODE_VAL

  See Also:
    Constant Field Values

### SOCKET

    public static final String SOCKET

  Field SOCKET

  See Also:
    Constant Field Values

### RESPONSE_HEADERS

    public static final String RESPONSE_HEADERS

  Field RESPONSE_HEADERS

  See Also:
    Constant Field Values

### REQUEST_HEADERS

    public static final String REQUEST_HEADERS

  Field REQUEST_HEADERS

  See Also:
    Constant Field Values

### PLUGIN_WRITER

    public static final String PLUGIN_WRITER

  Field PLUGIN_WRITER

  See Also:
    Constant Field Values

### PLUGIN_SERVICE_NAME

    public static final String PLUGIN_SERVICE_NAME

  Field PLUGIN_SERVICE_NAME

  See Also:
    Constant Field Values

### PLUGIN_NAME

    public static final String PLUGIN_NAME

  AXIS servlet plugin parameter names.

  See Also:
    Constant Field Values

### PLUGIN_LOG

    public static final String PLUGIN_LOG

  Field PLUGIN_LOG

  See Also:
    Constant Field Values

### PLUGIN_IS_DEVELOPMENT

    public static final String PLUGIN_IS_DEVELOPMENT

  Field PLUGIN_IS_DEVELOPMENT

  See Also:
    Constant Field Values

### PLUGIN_EXCEPTION_LOG

    public static final String PLUGIN_EXCEPTION_LOG

  Field PLUGIN_EXCEPTION_LOG

  See Also:
    Constant Field Values

### PLUGIN_ENGINE

    public static final String PLUGIN_ENGINE

  Field PLUGIN_ENGINE

  See Also:
    Constant Field Values

### PLUGIN_ENABLE_LIST

    public static final String PLUGIN_ENABLE_LIST

  Field PLUGIN_ENABLE_LIST

  See Also:
    Constant Field Values

### OK

    public static final char[] OK

  Field OK[]

### NOCONTENT

    public static final byte[] NOCONTENT

  Field NOCONTENT[]

### MC_HTTP_STATUS_MESSAGE

    public static String MC_HTTP_STATUS_MESSAGE

  Field MC_HTTP_STATUS_MESSAGE

### MC_HTTP_STATUS_CODE

    public static String MC_HTTP_STATUS_CODE

  Field MC_HTTP_STATUS_CODE

### MC_HTTP_SERVLETRESPONSE

    public static String MC_HTTP_SERVLETRESPONSE

  Field MC_HTTP_SERVLETRESPONSE

### MC_HTTP_SERVLETREQUEST

    public static String MC_HTTP_SERVLETREQUEST

  Field MC_HTTP_SERVLETREQUEST

### MC_HTTP_SERVLETPATHINFO

    public static String MC_HTTP_SERVLETPATHINFO

  Field MC_HTTP_SERVLETPATHINFO

### MC_HTTP_SERVLETLOCATION

    public static String MC_HTTP_SERVLETLOCATION

  Field MC_HTTP_SERVLETLOCATION

### MC_HTTP_SERVLET

    public static String MC_HTTP_SERVLET

  Field MC_HTTP_SERVLET

### MC_HTTP_SERVLETCONTEXT

    public static String MC_HTTP_SERVLETCONTEXT

  Field MC_HTTP_SERVLETCONTEXT

### HTTP_SERVLETCONFIG

    public static String HTTP_SERVLETCONFIG

  transport.http.servletConfig

### HEADER_USER_AGENT

    public static final String HEADER_USER_AGENT

  Field HEADER_USER_AGENT

  See Also:
    Constant Field Values

### HEADER_TRANSFER_ENCODING_CHUNKED

    public static final String HEADER_TRANSFER_ENCODING_CHUNKED

  Field HEADER_TRANSFER_ENCODING_CHUNKED

### HEADER_TRANSFER_ENCODING

    public static final String HEADER_TRANSFER_ENCODING

  Field HEADER_TRANSFER_ENCODING

### HEADER_SOAP_ACTION

    public static final String HEADER_SOAP_ACTION

  Field HEADER_SOAP_ACTION

  See Also:
    Constant Field Values

### HEADER_SET_COOKIE2

    public static final String HEADER_SET_COOKIE2

  Field HEADER_SET_COOKIE2

  See Also:
    Constant Field Values

### HEADER_SET_COOKIE

    public static final String HEADER_SET_COOKIE

  Field HEADER_SET_COOKIE

  See Also:
    Constant Field Values

### HEADER_PROXY_AUTHORIZATION

    public static final String HEADER_PROXY_AUTHORIZATION

  Field HEADER_PROXY_AUTHORIZATION

  See Also:
    Constant Field Values

### HEADER_PROTOCOL_V11

    public static final String HEADER_PROTOCOL_V11

  Field HEADER_PROTOCOL_V11

### HEADER_PROTOCOL_V10

    public static final String HEADER_PROTOCOL_V10

  Field HEADER_PROTOCOL_V10

### HEADER_PROTOCOL_11

    public static final String HEADER_PROTOCOL_11

  Field HEADER_PROTOCOL_11

  See Also:
    Constant Field Values

### HEADER_PROTOCOL_10

    public static final String HEADER_PROTOCOL_10

  Field HEADER_PROTOCOL_10

  See Also:
    Constant Field Values

### HEADER_PRAGMA

    public static final String HEADER_PRAGMA

  Field HEADER_PRAGMA

  See Also:
    Constant Field Values

### HEADER_POST

    public static final String HEADER_POST

  Field HEADER_POST

  See Also:
    Constant Field Values

### HEADER_PUT

    public static final String HEADER_PUT

  Field HEADER_PUT

  See Also:
    Constant Field Values

### HEADER_LOCATION

    public static final String HEADER_LOCATION

  Field HEADER_LOCATION

  See Also:
    Constant Field Values

### HEADER_HOST

    public static final String HEADER_HOST

  Field HEADER_HOST

  See Also:
    Constant Field Values

### HEADER_GET

    public static final String HEADER_GET

  Field HEADER_GET

  See Also:
    Constant Field Values

### HEADER_DELETE

    public static final String HEADER_DELETE

  Field HEADER_DELETE

  See Also:
    Constant Field Values

### HEADER_EXPECT_100_Continue

    public static final String HEADER_EXPECT_100_Continue

  Field HEADER_EXPECT_100_Continue

  See Also:
    Constant Field Values

### HEADER_EXPECT

    public static final String HEADER_EXPECT

  Field HEADER_EXPECT

  See Also:
    Constant Field Values

### HEADER_DEFAULT_CHAR_ENCODING

    public static final String HEADER_DEFAULT_CHAR_ENCODING

  Field HEADER_DEFAULT_CHAR_ENCODING

  See Also:
    Constant Field Values

### HEADER_COOKIE2

    public static final String HEADER_COOKIE2

  Field HEADER_COOKIE2

  See Also:
    Constant Field Values

### HEADER_COOKIE

    public static final String HEADER_COOKIE

  Field HEADER_COOKIE

  See Also:
    Constant Field Values

### HEADER_CONTENT_TYPE

    public static final String HEADER_CONTENT_TYPE

  Field HEADER_CONTENT_TYPE

  See Also:
    Constant Field Values

### HEADER_CONTENT_TRANSFER_ENCODING

    public static final String HEADER_CONTENT_TRANSFER_ENCODING

  Field HEADER_CONTENT_TRANSFER_ENCODING

  See Also:
    Constant Field Values

### HEADER_CONTENT_LOCATION

    public static final String HEADER_CONTENT_LOCATION

  Field HEADER_CONTENT_LOCATION

  See Also:
    Constant Field Values

### HEADER_CONTENT_LENGTH

    public static final String HEADER_CONTENT_LENGTH

  Field HEADER_CONTENT_LENGTH

  See Also:
    Constant Field Values

### HEADER_CONTENT_ID

    public static final String HEADER_CONTENT_ID

  Field HEADER_CONTENT_ID

  See Also:
    Constant Field Values

### HEADER_CONTENT_DESCRIPTION

    public static final String HEADER_CONTENT_DESCRIPTION

  Field HEADER_CONTENT_DESCRIPTION

  See Also:
    Constant Field Values

### HEADER_CONNECTION_KEEPALIVE

    public static final String HEADER_CONNECTION_KEEPALIVE

  Field HEADER_CONNECTION_KEEPALIVE

### HEADER_CONNECTION_CLOSE

    public static final String HEADER_CONNECTION_CLOSE

  Field HEADER_CONNECTION_CLOSE

### HEADER_CONNECTION

    public static final String HEADER_CONNECTION

  Field HEADER_CONNECTION

  See Also:
    Constant Field Values

### HEADER_CACHE_CONTROL_NOCACHE

    public static final String HEADER_CACHE_CONTROL_NOCACHE

  Field HEADER_CACHE_CONTROL_NOCACHE

  See Also:
    Constant Field Values

### HEADER_CACHE_CONTROL

    public static final String HEADER_CACHE_CONTROL

  Field HEADER_CACHE_CONTROL

  See Also:
    Constant Field Values

### HEADER_AUTHORIZATION

    public static final String HEADER_AUTHORIZATION

  Field HEADER_AUTHORIZATION

  See Also:
    Constant Field Values

### HEADER_ACCEPT_TEXT_ALL

    public static final String HEADER_ACCEPT_TEXT_ALL

  Field HEADER_ACCEPT_TEXT_ALL

  See Also:
    Constant Field Values

### HEADER_ACCEPT_MULTIPART_RELATED

    public static final String HEADER_ACCEPT_MULTIPART_RELATED

  Field HEADER_ACCEPT_MULTIPART_RELATED

  See Also:
    Constant Field Values

### HEADER_ACCEPT_APPL_SOAP

    public static final String HEADER_ACCEPT_APPL_SOAP

  Field HEADER_ACCEPT_APPL_SOAP

  See Also:
    Constant Field Values

### HEADER_ACCEPT_APPLICATION_DIME

    public static final String HEADER_ACCEPT_APPLICATION_DIME

  Field HEADER_ACCEPT_APPLICATION_DIME

  See Also:
    Constant Field Values

### HEADER_ACCEPT

    public static final String HEADER_ACCEPT

  Field HEADER_ACCEPT

  See Also:
    Constant Field Values

### CHAR_SET_ENCODING

    public static String CHAR_SET_ENCODING

  Field CHAR_SET_ENCODING

### UNAUTH

    public static final byte[] UNAUTH

  Field UNAUTH[]

### SO_TIMEOUT

    public static final String SO_TIMEOUT

  Field SO_TIMEOUT

  See Also:
    Constant Field Values

### SENDER

    public static final byte[] SENDER

  Field SENDER[]

### PROXY

    public static final String PROXY

See Also:
  Constant Field Values

### AUTHENTICATE

    public static final String AUTHENTICATE

See Also:
  Constant Field Values

### MTOM_RECEIVED_CONTENT_TYPE

    public static final String MTOM_RECEIVED_CONTENT_TYPE

  Deprecated.
  See Also:
    Constant Field Values

### ISE

    public static final byte[] ISE

  Field ISE[]

### HTTP_REQ_TYPE

    public static final String HTTP_REQ_TYPE

  Field HTTP_REQ_TYPE

  See Also:
    Constant Field Values

### HTTP_ELEMENT_CHARSET

    public static final String HTTP_ELEMENT_CHARSET

  Default content encoding chatset

  See Also:
    Constant Field Values

### HTTP

    public static char[] HTTP

  Field HTTP[]

### DEFAULT_SO_TIMEOUT

    public static final int DEFAULT_SO_TIMEOUT

  Field DEFAULT_SO_TIMEOUT

  See Also:
    Constant Field Values

### DEFAULT_CONNECTION_TIMEOUT

    public static final int DEFAULT_CONNECTION_TIMEOUT

  Field DEFAULT_CONNECTION_TIMEOUT

  See Also:
    Constant Field Values

### CONNECTION_TIMEOUT

    public static final String CONNECTION_TIMEOUT

  Field CONNECTION_TIMEOUT

  See Also:
    Constant Field Values

### CACHED_HTTP_CLIENT

    public static final String CACHED_HTTP_CLIENT

  Field CACHED_HTTP_CLIENT

  See Also:
    Constant Field Values

### CACHED_HTTP_STATE

    public static final String CACHED_HTTP_STATE

  The name of the property that sets a HTTP state to be cached. The property value should be of type org.apache.commons.httpclient.HttpState.

  See Also:
    Constant Field Values

### MUTTITHREAD_HTTP_CONNECTION_MANAGER

    public static final String MUTTITHREAD_HTTP_CONNECTION_MANAGER

  Deprecated. please use MULTITHREAD_HTTP_CONNECTION_MANAGER
  See Also:
    Constant Field Values

### MULTITHREAD_HTTP_CONNECTION_MANAGER

    public static final String MULTITHREAD_HTTP_CONNECTION_MANAGER

See Also:
  Constant Field Values

### REUSE_HTTP_CLIENT

    public static final String REUSE_HTTP_CLIENT

  Field CACHED_HTTP_CLIENT

  See Also:
    Constant Field Values

### HTTP_METHOD

    public static final String HTTP_METHOD

  Field HTTP_METHOD

  See Also:
    Constant Field Values

### HEADER_ACCEPT_ENCODING

    public static final String HEADER_ACCEPT_ENCODING

See Also:
  Constant Field Values

### HEADER_CONTENT_ENCODING

    public static final String HEADER_CONTENT_ENCODING

See Also:
  Constant Field Values

### HEADER_CONTENT_ENCODING_LOWERCASE

    public static final String HEADER_CONTENT_ENCODING_LOWERCASE

### COMPRESSION_GZIP

    public static final String COMPRESSION_GZIP

See Also:
  Constant Field Values

### COOKIE_POLICY

    public static final String COOKIE_POLICY

  Field to set the coockie policy of commons http client http://jakarta.apache.org/httpcomponents/httpclient-3.x/cookies.html

  See Also:
    Constant Field Values

### MC_ACCEPT_GZIP

    public static final String MC_ACCEPT_GZIP

  If you want the HTTP sender to indicate that it can accept a gziped response, set this message context property to true. The sender will automatically unzip the response if its gzipped.

  See Also:
    Constant Field Values

### MC_GZIP_REQUEST

    public static final String MC_GZIP_REQUEST

  by default the HTTP request body is not compressed. set this message context property to true to have the request body gzip compressed.

  See Also:
    Constant Field Values

### MC_GZIP_RESPONSE

    public static final String MC_GZIP_RESPONSE

See Also:
  Constant Field Values

### HTTP_HEADERS

    public static final String HTTP_HEADERS

  This will allow users to set any custom headers to the message context, which will be picked up by the sender while sending the request

  See Also:
    Constant Field Values

### CHUNKED

    public static final String CHUNKED

See Also:
  Constant Field Values

### HTTP_PROTOCOL_VERSION

    public static final String HTTP_PROTOCOL_VERSION

See Also:
  Constant Field Values

### COOKIE_STRING

    public static final String COOKIE_STRING

See Also:
  Constant Field Values

### HTTP_METHOD_GET

    public static final String HTTP_METHOD_GET

See Also:
  Constant Field Values

### HTTP_METHOD_POST

    public static final String HTTP_METHOD_POST

See Also:
  Constant Field Values

### CONTENT_TYPE

    public static final String CONTENT_TYPE

  Deprecated. Please use Constants.Configuration.CONTENT_TYPE
  See Also:
    Constant Field Values

### OMIT_SOAP_12_ACTION

    public static final String OMIT_SOAP_12_ACTION

See Also:
  Constant Field Values

### CUSTOM_PROTOCOL_HANDLER

    public static final String CUSTOM_PROTOCOL_HANDLER

See Also:
  Constant Field Values

### HTTP_METHOD_PARAMS

    public static final String HTTP_METHOD_PARAMS

See Also:
  Constant Field Values

### AUTO_RELEASE_CONNECTION

    public static final String AUTO_RELEASE_CONNECTION

See Also:
  Constant Field Values

### USER_AGENT

    public static final String USER_AGENT

See Also:
  Constant Field Values

### SERVER

    public static final String SERVER

See Also:
  Constant Field Values

### CACHE_HTTP_CLIENT

    public static final String CACHE_HTTP_CLIENT

  If this parameter is set we cache the HttpClient

  See Also:
    Constant Field Values

### DEFAULT_MAX_CONNECTIONS_PER_HOST

    public static final String DEFAULT_MAX_CONNECTIONS_PER_HOST

  This parameter gives the maximum connections allows per host if not specified per host basis

  See Also:
    Constant Field Values

### MAX_TOTAL_CONNECTIONS

    public static final String MAX_TOTAL_CONNECTIONS

  Total number of connections allowed

  See Also:
    Constant Field Values

Constructor Detail

### HTTPConstants

    public HTTPConstants()

Method Detail

### getBytes

    public static byte[] getBytes(String data)

  Method getBytes.

  Parameters:
    `data` -
  Returns:
    Returns byte[].

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.